
##### GENERAL STUFF #####

Summary:	HP OfficeJet low level driver infrastructure
Name:		hpoj
Version:	0.8
Release:	1mdk
License:	GPL
Group:		System/Servers


##### SOURCE FILES #####

Source: http://hpoj.sourceforge.net/download/%{name}-%{version}.tar.bz2
# Icon for the Mandrake menu
Source3: hpoj.png.bz2
# Complete replacement for startup script to have it the
# Mandrake way
Source5: hpoj.startup.bz2

##### ADDITIONAL DEFINITIONS #####

Url: http://hpoj.sourceforge.net
Requires: libptal0
BuildRoot: %{_tmppath}/%{name}-buildroot

%description

This is an HP-sponsored project to add Linux support for most
Hewlett-Packard OfficeJet, PSC, and LaserJet all-in-one peripherals
(also known as Multi-Function Peripherals or MFPs), which can print,
scan, copy, and (on some models) fax.

It is work in progress, but printing and scanning are supported on
most models, when either connected to the parallel port or USB on a
Linux (Intel or Alpha) workstation, or to a LAN with selected HP
JetDirect print servers.


##### SUB-PACKAGES #####

%package -n libptal0
Summary: Dynamic library for the "hpoj" HP Officejet low level drivers
Group: System/Servers

%description -n libptal0
Library needed for the "hpoj" HP Officejet low level drivers.

%package -n libptal0-devel
Summary: Headers and links to compile against the "libptal0" ("hpoj") library
Group: Development/C
Requires: libptal0 >= %{version}-%{release}
Provides: libptal-devel = %{version}-%{release}

%description -n libptal0-devel
This package contains all files which one needs to compile programs using
the "libptal0" library.



##### PREP #####

%prep
rm -rf $RPM_BUILD_DIR/%{name}-%{version}
%setup -q -n %{name}-%{version}

# Load menu icon
bzcat %{SOURCE3} > hpoj.png
# Load Mandrake startup script
bzcat %{SOURCE5} > hpoj.startup


##### BUILD #####

%build
%serverbuild

# Fox hard-coded paths, also take into account paths mentioned in the docs
for i in `find . -type f -print`; do
    perl -p -i -e "s!doc/hpoj!share/doc/%{name}-%{version}!" $i
    perl -p -i -e "s!\\\$\(prefix\)/etc!/etc!" $i
done

%configure --with-qt=/usr/lib/qt2
# Do not use the macro, it has parallelizing problems
make	etcdir=%{_sysconfdir} docdir=%{_docdir}/%{name}-%{version}

##### INSTALL #####

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{_initrddir}

%makeinstall etcdir=%{buildroot}%{_sysconfdir}

# install menu icon
mkdir -p $RPM_BUILD_ROOT%{_iconsdir}/locolor/16x16/apps/
install -m 644 hpoj.png $RPM_BUILD_ROOT%{_iconsdir}/locolor/16x16/apps/

# install menu entry
mkdir -p $RPM_BUILD_ROOT%{_menudir}

cat <<EOF > $RPM_BUILD_ROOT%{_menudir}/hpoj
?package(hpoj): needs=X11 \
section=Configuration/Printing \
title="X Office Jet Panel" \
longtitle="Displays the contents of the front panel LCD screen of your HP Office Jet in a window on your desktop" \
command="%{_bindir}/xojpanel" \
icon="%{_iconsdir}/locolor/16x16/apps/hpoj.png"
EOF

# Install startup script
#install -m 755 hpoj.startup $RPM_BUILD_ROOT%{_initrddir}/hpoj
mv %{buildroot}%{_sbindir}/ptal-init %{buildroot}%{_initrddir}/hpoj
ln -s %{_initrddir}/hpoj %{buildroot}%{_sbindir}/ptal-init

# Directories where the daemon will create device nodes
install -d %{buildroot}/dev/ptal-mlcd
install -d %{buildroot}/dev/ptal-printd


##### PRE/POST INSTALL SCRIPTS #####

%post
# Let HPOJ daemon be automatically started at boot time
%_post_service hpoj
# menu
%{update_menus}

%post -n libptal0
/sbin/ldconfig

%preun
# Let HPOJ daemon not be automatically started at boot time any more
%_preun_service hpoj

%postun
## menu
%{update_menus}

%postun -n libptal0
/sbin/ldconfig

##### CLEAN UP #####

%clean
rm -rf $RPM_BUILD_ROOT


##### FILE LISTS FOR ALL BINARY PACKAGES #####

##### hpoj
%files
%defattr(-,root,root)
%config(noreplace) %{_sysconfdir}/ptal*
%config(noreplace) %{_initrddir}/*
%{_sbindir}/*
%{_bindir}/*
%doc %{_defaultdocdir}/%{name}-%{version}
%dir /dev/ptal-mlcd
%dir /dev/ptal-printd
# menu entry
%{_iconsdir}/locolor/16x16/apps/*
%{_libdir}/menu/*

##### libptal0
%files -n libptal0
%defattr(-,root,root)
%{_libdir}/*.so.*

##### libptal0-devel
%files -n libptal0-devel
%defattr(-,root,root)
%{_includedir}/*
%{_libdir}/*.so


##### CHANGELOG #####

%changelog
* Wed Aug  8 2001 Till Kamppeter <till@mandrakesoft.com> 0.8-1mdk
- initial release
